

/*
 *
 * smiley
 *
 * created with FontCreator 2.1
 * version 2.0 written by F. Maximilian Thiele, extended by sce
 *
 * http://www.apetech.de/fontCreator
 * me@apetech.de
 *
 * File Name           : image_smiley.h
 * Date                : 15.07.2010
 * Font size in bytes  : 139
 * Font width          : 33
 * Font height         : -32
 * Font first char     : 0
 * Font last char      : 1
 * Font used chars     : 1
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef SMILEY_H
#define SMILEY_H

#define SMILEY_WIDTH 33
#define SMILEY_HEIGHT -32

static char smiley[] PROGMEM = {
    0x21, // first char
    0x04, // char count
    
    
    // font data
    0x00, 0x00, 0x00, 0x00, 0xE0, 0xB0, 0x70, 0xD0, 0xBC, 0x58, 0xB6, 0xA4, 0x86, 0x35, 0x56, 0x1B, 0xDA, 0x0B, 0x3A, 0x93, 0x22, 0x86, 0x14, 0x0C, 0x48, 0x18, 0x30, 0x60, 0xC0, 0x80, 0x00, 0x00, 0x00, 0x20, 0xEC, 0xBB, 0x2D, 0xFE, 0xA1, 0xBF, 0x44, 0x7B, 0xC6, 0xBA, 0x24, 0x55, 0x49, 0x52, 0xA4, 0x00, 0xA5, 0x08, 0x10, 0x42, 0x80, 0x24, 0x09, 0x10, 0x01, 0x54, 0x80, 0x4A, 0x91, 0x27, 0xFC, 0xA0, 0x03, 0x1E, 0xFD, 0xB3, 0xEF, 0x82, 0x5B, 0xD7, 0x01, 0x06, 0x03, 0xFF, 0x13, 0x05, 0x03, 0xDE, 0x2B, 0x17, 0x1D, 0xD7, 0xB6, 0x05, 0x83, 0xF3, 0x5F, 0xB5, 0xA4, 0xAA, 0xA4, 0x4D, 0xF8, 0x27, 0x0D, 0x00, 0x00, 0x00, 0x02, 0x05, 0x0B, 0x3F, 0x2A, 0x38, 0x60, 0x50, 0xFF, 0x20, 0xE0, 0xA0, 0x7F, 0x54, 0xF0, 0x50, 0x5A, 0x2D, 0x1A, 0x16, 0x09, 0x0E, 0x0A, 0x07, 0x02, 0x03, 0x01, 0x00, 0x00, 0x00 // 0
    
};

#endif
